(function($){

	'use strict'

	$('.grid-item').on('click', function(){

		var index = $(this).index()

		$('.single-gallery-image').fadeIn()
		$('.owl-carousel').trigger("to.owl.carousel", [index, 0])
	})

	$('.close-gallery').on('click', function(){
		$('.single-gallery-image').fadeOut()
	})

	$('.navigation-toggle').on('click', function(){
		$('main').addClass('mobile-menu')
	})

	$('.close-menu').on('click', function(){
		$('main').removeClass('mobile-menu')
	})

	var scroll = function($this){

		var href = $this.attr('href'),
			position = $(href).position().top - $('header').outerHeight()

		$('main').removeClass('mobile-menu')			

		$('body, html').animate( { scrollTop: position }, 500 )
	}

	$('.scroll a, a.scroll').on('click', function(){

		var $this = $(this)

		scroll($this)
		setTimeout(function(){ scroll($this) }, 350)
	})

	$(window).on('load scroll', function(){

		var scrollPosition = $(window).scrollTop(),
			fridgePosition = 50

		if(scrollPosition >= fridgePosition){
			$('main').addClass('fridge')
		}else{
			$('main').removeClass('fridge')
		}
	})

	$(window).on('load', function(){

		$('.description-text').mCustomScrollbar({
			theme: 'minimal'
		})
	})

	$(window).on('load resize', function(){

		if($(window).width() < 768) {
			$('.navigation-menu').mCustomScrollbar({
				theme: 'minimal'
			})
		}
	})

}(jQuery))